## org.biojava.utils
Class IndexedChangeHub.ListenerMemento

    java.lang.Object
      org.biojava.utils.IndexedChangeHub.ListenerMemento

Enclosing class:
  IndexedChangeHub

    protected class IndexedChangeHub.ListenerMemento

extends Object

Field Summary
`Reference` `listener`
`ChangeType` `type`

Constructor Summary
`IndexedChangeHub.ListenerMemento(ChangeType type, Reference listener)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public final ChangeType type

### listener

    public final Reference listener

Constructor Detail

### IndexedChangeHub.ListenerMemento

    public IndexedChangeHub.ListenerMemento(ChangeType type,
                                            Reference listener)